System 2.0.0.0 4.0.0.0 System.Enum

The class uses the values in this enumeration to set the property. The class returns objects when you call the or methods to check whether you can reach a computer across the network.

The and enumeration values have the same numeric value. This is possible because applies only to IPv6 and applies only to IPv4.

Reports the status of sending an Internet Control Message Protocol (ICMP) echo message to a computer.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the destination IP address cannot receive ICMP echo requests or should never appear in the destination address field of any IP datagram. For example, calling and specifying IP address "000.0.0.0" returns this status.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the header is invalid.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because it contains an invalid option.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because there is no valid route between the source and destination computers.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the destination computer is not reachable.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the network that contains the destination computer is not reachable.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the port on the destination computer is not available.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMPv6 echo request failed because contact with the destination computer is administratively prohibited. This value applies only to IPv6.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the destination computer that is specified in an ICMP echo message is not reachable, because it does not support the packet's protocol. This value applies only to IPv4. This value is described in IETF RFC 1812 as Communication Administratively Prohibited.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the source address and destination address that are specified in an ICMP echo message are not in the same scope. This is typically caused by a router forwarding a packet using an interface that is outside the scope of the source address. Address scopes (link-local, site-local, and global scope) determine where on the network an address is valid.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the destination computer that is specified in an ICMP echo message is not reachable; the exact cause of problem is unknown.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because of a hardware error.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because of an ICMP protocol error.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because of insufficient network resources.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the packet containing the request is larger than the maximum transmission unit (MTU) of a node (router or gateway) located between the source and destination. The MTU defines the maximum size of a transmittable packet.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because a node (router or gateway) encountered problems while processing the packet header. This is the status if, for example, the header contains invalid field data or an unrecognized option.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the packet was discarded. This occurs when the source computer's output queue has insufficient storage space, or when packets arrive at the destination too quickly to be processed.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request succeeded; an ICMP echo reply was received. When you get this status code, the other properties contain valid data.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo Reply was not received within the allotted time. The default time allowed for replies is 5 seconds. You can change this value using the or methods that take a parameter.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because its Time to Live (TTL) value reached zero, causing the forwarding node (router or gateway) to discard the packet.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because its Time to Live (TTL) value reached zero, causing the forwarding node (router or gateway) to discard the packet.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the packet was divided into fragments for transmission and all of the fragments were not received within the time allotted for reassembly. RFC 2460 (available at www.ietf.org) specifies 60 seconds as the time limit within which all packet fragments must be received.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed for an unknown reason.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPStatus

  The ICMP echo request failed because the Next Header field does not contain a recognized value. The Next Header field indicates the extension header type (if present) or the protocol above the IP layer, for example, TCP or UDP.